#include <iostream>
#include <vector>
#include <algorithm>
#define ll long long
#define endl "\n"
using namespace std;

const ll maxn=1e6+4;
ll n,a[maxn],ans=0,i,j,k;
vector<ll> krat[maxn];

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
    cin >> n;
    for(i=0;i<n;i++){
        cin >> a[i];
    }
    sort(a,a+n);
    for(i=0;i<n;i++){
        for(j=i+1;j<n;j++){
            if(a[j]%a[i]==0 and a[i]!=a[j]){
                krat[i].push_back(j);
            }
        }
    }

    for(i=0;i<n;i++){
        for(j=0;j<krat[i].size();j++){
            ans+=krat[krat[i][j]].size();
        }
    }
    cout << ans << endl;
return 0;
}

